require "jfurn_palindrome/version"

module Jfurn_Palindrome

  # Returns true for a palindrome, false otherwise.
  def palindrome?
    if processed_content.empty?
      false
    else
      processed_content == processed_content.reverse
    end
  end

  private

    # Returns content for palindrome testing.
    def processed_content
      letter_regex = /([a-z]|\d)/i
      self.to_s.scan(letter_regex).join.downcase
    end
end

class String
  include Jfurn_Palindrome
end

class Integer
  include Jfurn_Palindrome
end
